@import 'libs/shared/assets/src/global-style/variable';
@import 'libs/shared/assets/src/global-style/input';

nz-list {
  padding: 24px;
}

.infinite-container {
  position: relative;
  .loading {
    text-align-last: center;
    color: $bg-primary-default;
    font-size: 1.1rem;
  }
  .infinite__search {
    border-radius: 4px;
    position: absolute;
    z-index: 3;
    left: 0;
    width: 100%;
    background-color: #ffffff;
    display: none;
    ::ng-deep {
      .nz-list__content {
        .active {
          color: rgb(230 247 255);
          font-weight: 600;
          background-color: #e6f7ff;
        }
        padding: 0;
        border-bottom: 1px solid $border-bottom-gray;
        .ant-list-item-meta-description {
          padding: 0 1em;
          color: rgba(0, 0, 0, 0.85);
          cursor: pointer;
          font-weight: 500;
        }
      }
    }

    .nz-list__item {
      &:hover {
        background-color: $bg-select-drop-Down-list;
      }
    }
  }
  .displayDropdown {
    display: block;
  }
}

.block-center {
  .input__label {
    color: $bg-gray-label;
    font-family: avertaB, sans-serif;
  }
  .form-group {
    margin: 0;
    position: relative;
    width: 100%;
    a {
      text-align: center;
      width: 20px;
      font-size: 20px;
      right: 6px;
      position: absolute;
      top: 42%;
      transform: translateY(-50%);
      img {
        filter: opacity(0.5);
      }
    }
    .btn {
      width: 10%;
    }
  }
}

.input {
  width: 99.5%;
  border-radius: 8px;
  min-height: 44px;
  border: 1px solid #d9d9d9;
  padding: 4px 11px;
  margin-top: 4px;
}

.border-error {
  border: 1px solid $bg-error-red;
}
